package netscape.applet;

import java.util.Hashtable;
import netscape.security.PrivilegeManager;

public class AppletServices {
   public static AppletPeer getApplet(ThreadGroup var0) {
      if (var0 != null) {
         return (AppletPeer)(var0 instanceof AppletThreadGroup ? ((AppletThreadGroup)var0).viewer : getApplet(var0.getParent()));
      } else {
         return null;
      }
   }

   public static Hashtable getCodebaseEnv() {
      PrivilegeManager.checkPrivilegeEnabled("CodebaseEnvironment");
      Object var0 = getCurrentClassLoader();
      if (var0 == null) {
         return null;
      } else if (!(var0 instanceof AppletClassLoader)) {
         return null;
      } else {
         Hashtable var1 = ((AppletClassLoader)var0).getCodebaseEnv();
         return var1;
      }
   }

   public static Class loadClass(String var0) throws ClassNotFoundException {
      Object var1 = getCurrentClassLoader();
      if (var1 == null) {
         return null;
      } else {
         return !(var1 instanceof ClassLoader) ? null : ((ClassLoader)var1).loadClass(var0);
      }
   }

   private static native Object getCurrentClassLoader();
}
